Loading...
Searching...
No Matches
trois.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <strings.h>`
`#include "trois.h"`
`#include "../IV/quatre.c"`
Include dependency graph for trois.c:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | calculerNoteGlobale (ListeCandidats liste, int nbCandidats)
| Calcul la note globale en fonction des coéfficients prédéfinis. More...
void | afficherCandidaturesByDept (ListeCandidats liste, int nbCandidats, char *searchIUT, char *searchDept)
| Affiche les candidatures pour un seul département dans un IUT. More...
void | merge (ListeCandidats liste, int start, int middle, int end)
| Fonction de tri dichotomique. More...
void | triDichotomiqueFusion (ListeCandidats liste, int start, int end)
| Algorithme de tri dichotomique. More...
void | afficherCandidatTraite (Candidat candidat)
| Affiche les information d'un candidat. More...
void | traiterCandidatures (ListeCandidats liste, int nbCandidats, int nbCandidatsAccept, float noteMini, int checkQueue)
| Permet de traiter les candidatures et met les candidats dans des fichiers txt suivant s'ils sont admis ou en liste d'attente. More...

## Function Documentation

## afficherCandidatTraite()

void afficherCandidatTraite | ( | Candidat | candidat | ) |

Affiche les information d'un candidat.

Parameters

  candidat | Candidat en question

Definition at line 128 of file trois.c.

Here is the caller graph for this function:

## afficherCandidaturesByDept()

void afficherCandidaturesByDept | ( | ListeCandidats | liste,
|  | int | nbCandidats,
|  | char * | searchIUT,
|  | char * | searchDept
| ) |  |

Affiche les candidatures pour un seul département dans un IUT.

Parameters

  liste | Tableau de pointeur sur la structure Candidat
  nbCandidats | Nombre de candidats dans la liste des candidats
  searchIUT | Nom de l'IUT en question
  searchDept | Nom du département en question

Definition at line 22 of file trois.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## calculerNoteGlobale()

void calculerNoteGlobale | ( | ListeCandidats | liste,
|  | int | nbCandidats
| ) |  |

Calcul la note globale en fonction des coéfficients prédéfinis.

Parameters

  liste | Tableau de pointeur sur la structure Candidat
  nbCandidats | Nombre de candidats dans la liste des candidats

Definition at line 9 of file trois.c.

Here is the caller graph for this function:

## merge()

void merge | ( | ListeCandidats | liste,
|  | int | start,
|  | int | middle,
|  | int | end
| ) |  |

Fonction de tri dichotomique.

Parameters

  liste | Tableau de pointeur sur la structure Candidat
  start |
  middle |
  end |

Definition at line 93 of file trois.c.

Here is the caller graph for this function:

## traiterCandidatures()

void traiterCandidatures | ( | ListeCandidats | liste,
|  | int | nbCandidats,
|  | int | nbCandidatsAccept,
|  | float | noteMini,
|  | int | checkQueue
| ) |  |

Permet de traiter les candidatures et met les candidats dans des fichiers txt suivant s'ils sont admis ou en liste d'attente.

Parameters

  liste | Tableau de pointeur sur la structure Candidat
  nbCandidats | Nombre de candidats dans la liste des candidats
  nbCandidatsAccept | Nombre de candidats qui vont être accéptés pendant ce traitement, le responsable détermine ce nombre
  noteMini | Moyenne minimal que le candidat doit avoir si il veut être admis, le responsable détermine cette note
  checkQueue | Contient 1 s'il faut vérifier le contenu de la file d'attente, 0 sinon

Definition at line 135 of file trois.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## triDichotomiqueFusion()

void triDichotomiqueFusion | ( | ListeCandidats | liste,
|  | int | start,
|  | int | end
| ) |  |

Algorithme de tri dichotomique.

Parameters

  liste | Tableau de pointeur sur la structure Candidat
  start | début du tableau à trier
  end | nombre d'élements dans le tableau à trier

Definition at line 119 of file trois.c.

Here is the call graph for this function:
Here is the caller graph for this function: